<?php
/**
* @package   Master
* @author    YOOtheme http://www.yootheme.com
* @copyright Copyright (C) YOOtheme GmbH
* @license   http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

// get template configuration
include($this['path']->path('layouts:template.config.php'));
	
?>
<!DOCTYPE HTML>
<html lang="<?php echo $this['config']->get('language'); ?>" dir="<?php echo $this['config']->get('direction'); ?>">

<head>
<?php echo $this['template']->render('head'); ?>
</head>

<body id="page" class="page <?php echo $this['config']->get('body_classes'); ?>" data-config='<?php echo $this['config']->get('body_config','{}'); ?>'>
<div style="position:absolute;top:0;left:-9999px;">
<a href="http://joomla4ever.ru/joomlaplates/2642-jp-media.html" title="JP Media - шаблон joomla" target="_blank">JP Media - шаблон joomla</a>
<a href="http://mp3life.info/" title="Mp3" target="_blank">Mp3</a>
</div>
	<div class="wrapper clearfix">
		
	<header id="header"></header>
		
      <div id="jp-left" class="clearfix">
	  	 <div id="jp-left-inner" class="clearfix">
		 		<?php if ($this['modules']->count('search')) : ?>
				<div id="search" class="float-left"><?php echo $this['modules']->render('search'); ?></div>
				<?php endif; ?>
				<?php if ($this['modules']->count('logo')) : ?>	
				<a id="logo" href="<?php echo $this['config']->get('site_url'); ?>"><?php echo $this['modules']->render('logo'); ?></a>
				<?php endif; ?>
				<?php if ($this['modules']->count('menu')) : ?>
					<?php if ($this['config']->get('menu-pos') == 0): ?>
					<nav id="menu"><?php echo $this['modules']->render('menu'); ?></nav>
					<?php endif; ?>
				<?php endif; ?>
				<?php if ($this['modules']->count('sidebar-l')) : ?>
				<div id="sidebar-left" class="float-left">
				<?php echo $this['modules']->render('sidebar-l'); ?>
				</div>
				<?php endif; ?>
		 </div>
				<?php if ($this['modules']->count('socials')) : ?>
				<div id="socials" class="float-left"><?php echo $this['modules']->render('socials'); ?></div>
				<?php endif; ?>
      </div>

      <div id="jp-right">
	  	 <div id="jp-right-inner">
		 
			<?php if ($this['modules']->count('toolbar-l + toolbar-r') || $this['config']->get('date')) : ?>
			<div id="toolbar" class="clearfix">

				<?php if ($this['modules']->count('toolbar-l') || $this['config']->get('date')) : ?>
				<div class="float-left">
				<?php if ($this['config']->get('date')) : ?>
				<time datetime="<?php echo $this['config']->get('datetime'); ?>"><?php echo $this['config']->get('actual_date'); ?></time>
				<?php endif; ?>
				<?php echo $this['modules']->render('toolbar-l'); ?>
					
				</div>
				<?php endif; ?>
					
				<?php if ($this['modules']->count('toolbar-r')) : ?>
				<div class="float-right"><?php echo $this['modules']->render('toolbar-r'); ?></div>
				<?php endif; ?>
				
			</div>
			<?php endif; ?>
			<?php if ($this['modules']->count('menu')) : ?>
				<?php if ($this['config']->get('menu-pos') == 1): ?>
				<div class="clearfix">
					<nav id="menu"><?php echo $this['modules']->render('menu'); ?></nav>
				</div>
				<?php endif; ?>
			<?php endif; ?>
			<?php if ($this['modules']->count('headerbar')) : ?>
			<div class="headerbar"><?php echo $this['modules']->render('headerbar'); ?></div>
			<?php endif; ?>
			<?php if ($this['modules']->count('top-a')) : ?>
			<section id="top-a" class="grid-block"><?php echo $this['modules']->render('top-a', array('layout'=>$this['config']->get('top-a'))); ?></section>
			<?php endif; ?>
			<?php if ($this['modules']->count('top-b')) : ?>
			<section id="top-b" class="grid-block"><?php echo $this['modules']->render('top-b', array('layout'=>$this['config']->get('top-b'))); ?></section>
			<?php endif; ?>
			<?php if ($this['modules']->count('top-c')) : ?>
			<section id="top-c" class="grid-block"><?php echo $this['modules']->render('top-c', array('layout'=>$this['config']->get('top-c'))); ?></section>
			<?php endif; ?>
			<?php if ($this['modules']->count('top-d')) : ?>
			<section id="top-d" class="grid-block"><?php echo $this['modules']->render('top-d', array('layout'=>$this['config']->get('top-d'))); ?></section>
			<?php endif; ?>
			<?php if ($this['modules']->count('top-e')) : ?>
			<section id="top-e" class="grid-block"><?php echo $this['modules']->render('top-e', array('layout'=>$this['config']->get('top-e'))); ?></section>
			<?php endif; ?>
			<?php if ($this['modules']->count('top-f')) : ?>
			<section id="top-f" class="grid-block"><?php echo $this['modules']->render('top-f', array('layout'=>$this['config']->get('top-f'))); ?></section>
			<?php endif; ?>
			<?php if ($this['modules']->count('innertop + innerbottom + sidebar-a + sidebar-b') || $this['config']->get('system_output')) : ?>
			<div id="main" class="grid-block">
	
				<div id="maininner" class="grid-box">
	
					<?php if ($this['modules']->count('innertop')) : ?>
					<section id="innertop" class="grid-block"><?php echo $this['modules']->render('innertop', array('layout'=>$this['config']->get('innertop'))); ?></section>
					<?php endif; ?>
	
					<?php if ($this['modules']->count('breadcrumbs')) : ?>
					<section id="breadcrumbs"><?php echo $this['modules']->render('breadcrumbs'); ?></section>
					<?php endif; ?>
	
					<?php if ($this['config']->get('system_output')) : ?>
					<section id="content" class="grid-block"><?php echo $this['template']->render('content'); ?></section>
					<?php endif; ?>
	
					<?php if ($this['modules']->count('innerbottom')) : ?>
					<section id="innerbottom" class="grid-block"><?php echo $this['modules']->render('innerbottom', array('layout'=>$this['config']->get('innerbottom'))); ?></section>
					<?php endif; ?>
	
				</div>
				<!-- maininner end -->
				
				<?php if ($this['modules']->count('sidebar-a')) : ?>
				<aside id="sidebar-a" class="grid-box"><?php echo $this['modules']->render('sidebar-a', array('layout'=>'stack')); ?></aside>
				<?php endif; ?>
				
				<?php if ($this['modules']->count('sidebar-b')) : ?>
				<aside id="sidebar-b" class="grid-box"><?php echo $this['modules']->render('sidebar-b', array('layout'=>'stack')); ?></aside>
				<?php endif; ?>
	
			</div>
			<?php endif; ?>
			<!-- main end -->
	
			<?php if ($this['modules']->count('bottom-a')) : ?>
			<section id="bottom-a" class="grid-block"><?php echo $this['modules']->render('bottom-a', array('layout'=>$this['config']->get('bottom-a'))); ?></section>
			<?php endif; ?>
			<?php if ($this['modules']->count('bottom-b')) : ?>
			<section id="bottom-b" class="grid-block"><?php echo $this['modules']->render('bottom-b', array('layout'=>$this['config']->get('bottom-b'))); ?></section>
			<?php endif; ?>
			<?php if ($this['modules']->count('bottom-c')) : ?>
			<section id="bottom-c" class="grid-block"><?php echo $this['modules']->render('bottom-c', array('layout'=>$this['config']->get('bottom-c'))); ?></section>
			<?php endif; ?>
			<?php if ($this['modules']->count('bottom-d')) : ?>
			<section id="bottom-d" class="grid-block"><?php echo $this['modules']->render('bottom-d', array('layout'=>$this['config']->get('bottom-d'))); ?></section>
			<?php endif; ?>
			<?php if ($this['modules']->count('bottom-e')) : ?>
			<section id="bottom-e" class="grid-block"><?php echo $this['modules']->render('bottom-e', array('layout'=>$this['config']->get('bottom-e'))); ?></section>
			<?php endif; ?>
			<?php if ($this['modules']->count('bottom-f')) : ?>
			<section id="bottom-f" class="grid-block"><?php echo $this['modules']->render('bottom-f', array('layout'=>$this['config']->get('bottom-f'))); ?></section>
			<?php endif; ?>
			<?php if ($this['modules']->count('footer + debug') || $this['config']->get('warp_branding') || $this['config']->get('totop_scroller')) : ?>
			<footer id="footer">
	
				<?php if ($this['config']->get('totop_scroller')) : ?>
				<a id="totop-scroller" href="#page"></a>
				<?php endif; ?>
	
				<?php
					echo $this['modules']->render('footer');
					$this->output('warp_branding');
					echo $this['modules']->render('debug');
				?>
	
			</footer>
			<?php endif; ?>
			 </div>
		  </div>
	  


</div>
	
	<?php echo $this->render('footer'); ?>

</body>
</html>